                                                                                                                                                                                                                                                                 /*************************************
 * Adconverter.h
 *   
 * : 10.06.2022 16:20:03
 * :  .
 *************************************/

#pragma once

#include "Main.h"

#define ADCSECOND_CURRCHARGE 0 //     2 
#define ADCSECOND_CURRDISCHARGE 1 //     2 
#define ADCFIRST_CURRCHARGE 2 //     1 
#define ADCFIRST_CURRDISCHARGE 3 //     1 
#define ADCFIRST_VOLTAGE 6 //    1 
#define ADCSECOND_VOLTAGE 7 //    2 
#define ADCOFFSET_AGND 15 //     
#define ADCBASE_REFTYPE 192 //     1,1  
#define ADCAREF_VOLTAGE 1100 //   
#define ADCMODE_DATA 135 //    
#define ADCNMC_DIVIDER 2000 //      Ni-Cd  Ni-Mh  
#define ADCLPI_DIVIDER 4533 //      Li-Po  Li-Ion  
#define ADCLFE_DIVIDER 3767 //      Li-Fe  
#define ADCMEASCUR_RESISTOR 2000 //     0,2  
#define ADCLIMITNMC_VOLTAGE 2200 //     Ni-Cd  Ni-Mh  
#define ADCLIMITLPI_VOLTAGE 4986 //     Li-Po  Li-Ion  
#define ADCLIMITLFE_VOLTAGE 4143 //     Li-Fe  
#define ADCLIMIT_CURRENT 2500 //  / 

// 
void ADC_InitializeDevice(void); //   
void ADC_OffsetMeasure(void); //     
void ADC_UpdateDivider(byte numbersensor_prm,word divisionfactor_prm); //    
void ADC_DefaultDivider(bit numberbattery_prm); //      
void ADC_UpdateResistance(byte countmodecalibrate_prm,dword measuredvaluesdata_prm); //    
void ADC_DefaultResistance(byte countmodecalibrate_prm); //       
word ADC_ReadMeasuredata(byte measureinput_prm); //    
word ADC_AverageMeasuredata(byte numbercycle_prm,byte measureinput_prm); //      
word ADC_MeasureVoltage(byte numbercycle_prm,byte measureinput_prm); //   
word ADC_MeasureCurrent(byte numbercycle_prm,byte measureinput_prm); //   
word ADC_ReadingDivider(byte numbersensor_prm); //     
dword ADC_ReadingConstants(byte numbergconstants_prm); //         





