/****************************************************
 * Keybuttscan.h
 *     
 * : 03.08.2021 19:30:03
 * :  .
 *****************************************************/

#pragma once

#include <avr/io.h>
#include "Main.h"

#define KEYCONTROL_BUTTON PINB //    
#define KEYSCANN_BUTTON PORTD //   
#define KEYFIRST_GROUP PORTD0 //     
#define KEYSECOND_GROUP PORTD1 //     
#define KEYTHIRD_GROUP PORTD2 //     
#define KEYDATA_INITIAL 31 //     
#define KEYDATA_MASKING 48 //   

typedef struct //  
	{
	bit switcherscanning:1; //   /  
	}bit_key;

byte KEY_ScanningButton(void); //     
byte KEY_DecoderButton(void); //     
void KEY_WaitingTime(word milliseconds_prm); //    


