/*******************************************************
* Lcdworkunit.h
*     LCD  WH1601L
* : 10.06.2022 10:24:41
* :  .
*******************************************************/

#pragma once

#include "Main.h"

#define LCD_GotoPosition(spotposition) LCD_SetpositionCursor(spotposition); //   
#define LCD_DATA PORTD // /  LCD
#define LCD_DIRECT DDRD //    LCD
#define LCD_STROBE PORTB //  
#define LCD_READ PIND //    LCD
#define LCD_BYTE0 PORTD0 //  PD0
#define LCD_BYTE1 PORTD1 //  PD1
#define LCD_BYTE2 PORTD2 //  PD2
#define LCD_BYTE3 PORTD3 //  PD3
#define LCD_RS PORTD4 //  /
#define LCD_RW PORTD7 //  /
#define LCD_EN PORTB0 //  /
#define WAIT_FLAG 7 //   LCD

void LCD_InitializeDevice(void); //  LCD
void LCD_WaitingTime(word milliseconds_prm); //    
void LCD_WriteData(byte outputdata_prm); //     LCD
void LCD_WriteCommon(byte outputcommon_prm); //    LCD
void LCD_SetbyteData(byte outputdata_prm); //       LCD
void LCD_CommonFunction(byte commondata_prm); //   LCD  4- 
void LCD_WaitDevice(void); //   LCD
void LCD_SetpositionCursor(byte spotpositioncursor_prm); //   
byte LCD_SwapNibbles(byte numberdata_prm); //    

