/****************************************************
 * Keybuttscan.c
 *     
 * : 04.08.2021 11:11:43
 * :  .
 *****************************************************/

#include <avr/io.h>
#include <avr/sfr_defs.h>
#include <util/delay_basic.h>
#include "Main.h"
#include "Keybuttscan.h"
#include "Systemcontrol.h"

bit_key indx_key={0}; //   

byte KEY_ScanningButton(void) //   
	{
	bit indxoutcycle_tmp=FALSE; //  
	byte scanningcode_tmp=0; 
	byte counterscannig_tmp=0;
	KEYSCANN_BUTTON=KEYDATA_INITIAL; //    
	while(indxoutcycle_tmp==FALSE) //   
		{
		switch(counterscannig_tmp) //   
			{
			case 0: counterscannig_tmp++; //  
					ClearBit(KEYSCANN_BUTTON,KEYFIRST_GROUP); //   
					_delay_loop_2(40); // 10  
					scanningcode_tmp=KEYCONTROL_BUTTON&KEYDATA_MASKING; //   
					if(scanningcode_tmp<KEYDATA_MASKING) //  
						{
						KEY_WaitingTime(20); // 20  
						scanningcode_tmp=KEYCONTROL_BUTTON&KEYDATA_MASKING; //    
						if(scanningcode_tmp<KEYDATA_MASKING) //    
							{
							scanningcode_tmp+=counterscannig_tmp; //  
							indxoutcycle_tmp=TRUE; //      
							}
						}
					SetBit(KEYSCANN_BUTTON,KEYFIRST_GROUP); //    
					break;
			case 1: counterscannig_tmp++; //  
					ClearBit(KEYSCANN_BUTTON,KEYSECOND_GROUP); //   
					_delay_loop_2(40); // 10 
					scanningcode_tmp=KEYCONTROL_BUTTON&KEYDATA_MASKING; //   
					if(scanningcode_tmp<KEYDATA_MASKING) //  
						{
						KEY_WaitingTime(20); // 20 
						scanningcode_tmp=KEYCONTROL_BUTTON&KEYDATA_MASKING; //    
						if(scanningcode_tmp<KEYDATA_MASKING) //    
							{
							scanningcode_tmp+=counterscannig_tmp; //  
							indxoutcycle_tmp=TRUE; //      
							}
						}
					SetBit(KEYSCANN_BUTTON,KEYSECOND_GROUP); //    
					break;
			case 2: counterscannig_tmp++; //  
					ClearBit(KEYSCANN_BUTTON,KEYTHIRD_GROUP); //   
					_delay_loop_2(40); // 10 
					scanningcode_tmp=KEYCONTROL_BUTTON&KEYDATA_MASKING; //   
					if(scanningcode_tmp<KEYDATA_MASKING) //  
						{
						KEY_WaitingTime(20); // 20 
						scanningcode_tmp=KEYCONTROL_BUTTON&KEYDATA_MASKING; //    
						if(scanningcode_tmp<KEYDATA_MASKING) scanningcode_tmp+=counterscannig_tmp; //       
						}
					SetBit(KEYSCANN_BUTTON,KEYTHIRD_GROUP); //    
					indxoutcycle_tmp=TRUE; //      
			}
		}
	return scanningcode_tmp; //   
	}

byte KEY_DecoderButton(void) //     
	{
	byte outbuttoncode_tmp=0; // 
	byte outscanningcode_tmp=0; 
	switch(indx_key.switcherscanning) //  / 
		{
		case FALSE: outscanningcode_tmp=KEY_ScanningButton(); //      
					if(outscanningcode_tmp<KEYDATA_MASKING) //  
						{
						indx_key.switcherscanning=TRUE; //     
						switch(outscanningcode_tmp) //  
							{
							case 17: outbuttoncode_tmp=1; //   Left
									break;
							case 19: outbuttoncode_tmp=4; //   Down
									break;
							case 33: outbuttoncode_tmp=2; //   Rigt
									break;
							case 34: outbuttoncode_tmp=5; //   ENTER
									break;
							case 35: outbuttoncode_tmp=3; //   Up
							}
						SYS_OutsignalBeep(10,1); //    10 
						}
					break;
		case TRUE: outscanningcode_tmp=KEY_ScanningButton(); //      
					if(outscanningcode_tmp==KEYDATA_MASKING) //   
						{
						KEY_WaitingTime(20); // 20 
						outscanningcode_tmp=KEY_ScanningButton(); //   
						if(outscanningcode_tmp==KEYDATA_MASKING) indx_key.switcherscanning=FALSE; //      
						}
		}
	return outbuttoncode_tmp; //    ,    
	}

void KEY_WaitingTime(word milliseconds_prm) //    
	{
	word milliseconds_tmp; // 
	milliseconds_tmp=milliseconds_prm; //  
	while(milliseconds_tmp>0) //   
		{
		_delay_loop_2(4000); // 1    
		milliseconds_tmp--; //  
		}
	}






